// 兼容 1.134（2025-10-01）删除的方法
if (!Cesium.defaultValue) {
  Cesium.defaultValue = function (value, defaultValue) {
    return value ?? defaultValue;
  };
}

// 兼容1.96（2022-08-01）删除的方法
if (!Cesium.Cesium3DTileFeature.prototype.getPropertyNames) {
  Cesium.Cesium3DTileFeature.prototype.getPropertyNames =
    Cesium.Cesium3DTileFeature.prototype.getPropertyIds;
  Cesium.Cesium3DTilePointFeature.prototype.getPropertyNames =
    Cesium.Cesium3DTilePointFeature.prototype.getPropertyIds;
  Cesium.ModelFeature.prototype.getPropertyNames =
    Cesium.Cesium3DTilePointFeature.prototype.getPropertyIds;
}

// 兼容1.94（2022-06-01）删除的方法
if (!Cesium.ImagerySplitDirection) {
  Cesium.ImagerySplitDirection = Cesium.SplitDirection;
}

// 兼容1.87（2021-11-1）删除的方法
Cesium.sprintf =
  Cesium.sprintf ||
  function (format) {
    return format;
  };

// 兼容1.73（2020-9-1）删除的方法
Cesium.BingMapsApi = Cesium.BingMapsApi || { defaultKey: "" };
Cesium.MapboxApi = Cesium.BingMapsApi || { defaultAccessToken: "" };

// 兼容1.67（2020-3-3）删除的方法
if (!Cesium.defineProperties) {
  Cesium.defineProperties = Object.defineProperties;
}
if (!Cesium.isArray) {
  Cesium.isArray = Array.isArray;
}

// 兼容1.62（2019-10-01）改名的方法
if (!Cesium.Matrix4.getMatrix3) {
  Cesium.Matrix4.getMatrix3 = Cesium.Matrix4.getRotation;
}
if (!Cesium.TileMapServiceImageryProvider) {
  Cesium.TileMapServiceImageryProvider =
    Cesium.createTileMapServiceImageryProvider;
}
if (!Cesium.createTileMapServiceImageryProvider) {
  Cesium.createTileMapServiceImageryProvider = function (options) {
    return new Cesium.TileMapServiceImageryProvider(options);
  };
}
